Page MenuHomeVyOS Platform

conntrack-tools package build error for current/equuleus
Closed, ResolvedPublic

Description

Build log:

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Event Timeline

jjakob created this object in space S1 VyOS Public.

I guess that one is deprecated as we also don‘t have it in our CI at https://ci.vyos.net/

I think you're right, I couldn't find any package depending on it, vyatta-conntrack-sync only depends on conntrack.
I also found this https://phabricator.vyos.net/T1538 in which the conclusion is we should upgrade conntrack-tools.

jjakob renamed this task from conntrack-sync package build error for current/equuleus to conntrack-tools package build error for current/equuleus.Feb 28 2020, 9:36 PM

Sorry, I titled the task wrong. The error is in building conntrack-tools.

jjakob changed the task status from Open to On hold.Feb 29 2020, 2:45 PM
jjakob moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.

Fixed temporarily for now in https://phabricator.vyos.net/R3:1c4414dd363bdb268038ae238686be3e0b7f988b
We should re-add building it from upstream to fix T1538.

jjakob triaged this task as Normal priority.Feb 29 2020, 2:48 PM
jjakob moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.
erkin set Issue type to Bug (incorrect behavior).Tue, Aug 31, 5:28 PM